<EntityClassDefinition.can_drink_1_pips_d __id="2a6515f2-48b9-451e-81bb-b0f4756209bf" __path="libs/foundry/records/entities/scitem/human/un/prop/dressing/can/entityclassdefinition.can_drink_1_pips_d.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/buildingsets/human/universal/prop/dressing/can/can_drink_1_pips_d.cgf" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityStaticPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" gameCollisionClass="None" Mass="0.0" />
    </SEntityPhysicsControllerParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$proxy_box_interaction" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors />
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@usable_pickup" Interaction="None" IsPrimary="0" />
              <SInteractionParams __type="SInteractionParams" DisplayName="@ui_interactor_place" Interaction="None" IsPrimary="0" />
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_pickup" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Take" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_place" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Place" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SEntityComponentCarryableParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentCarryableParams" canBeCarriedInProne="1" dropInteraction="None" enslavementAnimationDatabase="" equipToItemportInteraction="None" equipWearableInteraction="None" flipInteraction="None" holdReadyInteraction="None" inspectInteraction="None" interactionPointToMoveOnEquip="None" offHandEquipToItemportInteraction="None" offHandStoreInteraction="None" pickupInteraction="None" storeInteraction="None" swapAttachmentsInteraction="None">
      <abilityLocks>Run</abilityLocks>
      <carryableStatesParams __type="SCarryableStatesParams" carriedState="None" droppedState="None" equippedToSuitState="None" equippedWornState="None" hangingOnOutfitHangerState="None" heldReadyState="None" inspectingState="None" offeredState="None" settledState="None" storedState="None" />
      <carryableTasks />
      <carryInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_pickup" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Take" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </carryInteraction>
      <equipWearableParams __type="SCEquipableParams" itemPort="" />
      <gripData __type="SGripContainer" gripOverrideUsingLOS="0">
        <grips>
          <SCarryableGrip __type="SCarryableGrip" canBeUsedBy="All" carryStyleID="1H_Standard" handMode="RightHand" offHandGrip="None">
            <animationParameters __type="SCarryAnimationParams" handTag="" motionBase="2h" />
            <carryParameters __type="SCarryParams" depth="0.0" height="0.0" width="0.0" />
            <handGrip __type="SGrip" gripID="" optionalHelper="$grip_right_1">
              <gripShapeParameters __type="SGripShapeParams" dimension="0.0" gripShape="gs_none" wristRotation="0.0" />
              <offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </offset>
            </handGrip>
          </SCarryableGrip>
          <SCarryableGrip __type="SCarryableGrip" canBeUsedBy="All" carryStyleID="1H_Reverse" handMode="RightHand" offHandGrip="None">
            <animationParameters __type="SCarryAnimationParams" handTag="" motionBase="2h" />
            <carryParameters __type="SCarryParams" depth="0.0" height="0.0" width="0.0" />
            <handGrip __type="SGrip" gripID="" optionalHelper="$grip_right_1">
              <gripShapeParameters __type="SGripShapeParams" dimension="0.0" gripShape="gs_none" wristRotation="0.0" />
              <offset __type="QuatT">
                <Position __type="Vec3" x="0.5" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </offset>
            </handGrip>
          </SCarryableGrip>
        </grips>
      </gripData>
      <interactionPointOffsets __type="SCarryableInteractionPointOffsets">
        <interactionOffsetCarried __type="QuatT">
          <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
        </interactionOffsetCarried>
        <interactionOffsetEquipped __type="QuatT">
          <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
        </interactionOffsetEquipped>
        <interactionOffsetInspected __type="QuatT">
          <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
        </interactionOffsetInspected>
      </interactionPointOffsets>
      <placeInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_place" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Place" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </placeInteraction>
      <throwableParams __type="SThrowableParams" allowHologramTiltRotation="0" applyBoundingBoxPlacementOffset="0" combatThrowable="0" faceUpWhenSettled="0" placementRange="3.0" placementRangeHysteresis="0.5" reticle="none" yawOffset="0.0">
        <audioParams __type="SThrowAudioParams" onCollisionAudioPerceptionInfo="SmallSound" onCollisionAudioPerceptionRadius="20.0">
          <collisionSpeedAudioRTPC __type="AudioRtpc" rtpc="" />
          <onCollisionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          <onThrownAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
        </audioParams>
        <defaultPlacementUpDirection __type="Vec3" x="0.0" y="0.0" z="1.0" />
        <throwModes>
          <SThrowMode __type="SThrowMode" mode="InteractionMode">
            <angularVelocity __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <offset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          </SThrowMode>
        </throwModes>
      </throwableParams>
    </SEntityComponentCarryableParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="Cargo">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SInteractionStateMachineParams __type="DataForgeComponentParams" __polymorphicType="SInteractionStateMachineParams">
      <StateTypes>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="None" DefaultState="None" networkAuthority="Server" StateTypeName="Carryable">
          <StateModifiers />
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Grounded">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <entityTags __type="TagList">
                <tags />
              </entityTags>
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition __type="SInteractionStateTransition">
                  <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_pickup" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Take" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                    <QueryTags />
                  </Interaction>
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Carried" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags />
                    <exitStateEffectTags />
                    <Interactions>
                      <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                    </Interactions>
                  </NextState>
                </SInteractionStateTransition>
              </Interactions>
              <stateTags __type="TagList">
                <tags />
              </stateTags>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Carried" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
          </States>
        </SInteractionStateType>
      </StateTypes>
    </SInteractionStateMachineParams>
    <EntityPhysicalAudioParams __type="DataForgeComponentParams" __polymorphicType="EntityPhysicalAudioParams" dragOnly="0" minimumImpulseContinuous="1.0" minimumImpulseTransient="1.0" minimumVelocityNoImpulse="1.0" momentumScale="1.0" oneShotCooldown="0.20000000298023224" oneShotTag="0d401f6c-38a4-4c52-bb02-26059dd8d98a" rollThreshold="1.0" slideThreshold="1.0" useAABBCentre="0">
      <collisionTriggers>
        <PhysicalAudioCollisionTrigger __type="PhysicalAudioCollisionTrigger" attachToObject="1" oneShotMinPlayTime="0.25">
          <trigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_PHOB_Sml_Can_Drink_Full_a_Impacts" />
        </PhysicalAudioCollisionTrigger>
      </collisionTriggers>
      <dropTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <movementStartTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_PHOB_Sml_Can_Drink_a_Contents_Loop" />
      <movementStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Stop_PHOB_Sml_Can_Drink_a_Contents_Loop" />
      <pickFromOwnerTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <pickupTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_PHOB_Sml_Can_Drink_Full_a_Pickup" />
      <placeTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_PHOB_Sml_Can_Drink_Full_a_Place" />
      <rollStartTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_PHOB_Sml_Can_Drink_Full_a_Rolling" />
      <rollStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Stop_PHOB_Sml_Can_Drink_Full_a_Rolling" />
      <rtpcCarried __type="AudioRtpc" rtpc="PhysicalAudio_CarryState" />
      <rtpcDampening __type="AudioRtpc" rtpc="PhysicalAudio_Damping" />
      <rtpcHealth __type="AudioRtpc" rtpc="PhysicalAudio_Health" />
      <rtpcMassOther __type="AudioRtpc" rtpc="PhysicalAudio_MassOther" />
      <rtpcMassSelf __type="AudioRtpc" rtpc="PhysicalAudio_MassSelf" />
      <rtpcMomentum __type="AudioRtpc" rtpc="PhysicalAudio_Momentum" />
      <rtpcMovement __type="AudioRtpc" rtpc="PhysicalAudio_Movement" />
      <rtpcRollVelocity __type="AudioRtpc" rtpc="PhysicalAudio_RollVelocity" />
      <rtpcRotation __type="AudioRtpc" rtpc="PhysicalAudio_Rotation" />
      <rtpcSlideVelocity __type="AudioRtpc" rtpc="PhysicalAudio_Velocity" />
      <rtpcTimeSinceLastOneshot __type="AudioRtpc" rtpc="PhysicalAudio_TimeSinceLastOneshot" />
      <slideStartTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <slideStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
    </EntityPhysicalAudioParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.can_drink_1_pips_d>